/*
 * @Author: dminyi 1301963064@qq.com
 * @Date: 2024-08-27 10:39:24
 * @LastEditors: dminyi 1301963064@qq.com
 * @LastEditTime: 2024-08-27 10:39:57
 * @FilePath: \gzDyh\gz-customerSystem\src\views\register\visit\check.jsx
 * @Description: 自行排查
 */
import React, { useState, useEffect, useRef, Fragment } from "react";
import NewPage from '@/components/NewPage';
import RegisterTab from '@/components/registerTab';
import * as $$ from '@/utils/utility';
import "@arco-themes/react-gzzz/css/arco.css";
import '../index.less';
import { Space } from 'antd';
import { Button, Steps } from '@arco-design/web-react';
import VisitorRegister from './component/VisitorRegister';
import Preview from './preview';

const Step = Steps.Step;

function getCaseDataApi(submitData) {
	return $$.ax.request({ url: `caseInfo/getCaseInfo?id=${submitData}`, type: 'get', service: 'mediate' });
}



const Check = () => {
	const formRef = useRef();

	const [isReview, setIsReview] = useState(false);//预览页面控制
	const [current, setCurrent] = useState(1);
	const [tabsActive, setTabsActive] = useState('1');

	const tabs = [
		{ label: '事件登记', key: '1' },
		{ label: '事件流转', key: '2' },
		{ label: '办理反馈', key: '3' },
		{ label: '申请结案', key: '4' },
		{ label: '当事人评价', key: '5' },
		{ label: '结案归档', key: '6', img1: true },

	];

	//提交信息，需要校验规则
	const handleSubmit = async () => {
		if (formRef.current) {
			formRef.current.validate(undefined, (errors, values) => {
				console.log(errors, values);
			});
		}
	}

	//保存草稿信息,不需要校验规则
	const handleSave = async () => {
		if (formRef.current) {
			const data = formRef.current.getFields()
			console.log(data);
		}
	}

	//预览信息
	const handleReview = () => {
		setIsReview(!isReview)
	}

	function selfAcceptance() {
		$$.modalInfo({
			title: '自行受理确认',
			content: '确定自行受理本次登记事项吗？自行受理成功后事项将直接进入到本单位办理流程',
			okText: '确定受理',
			cancelText: '我再想想',
			onOk: async () => {
				console.log('1111111')
			},
		});

	}

	function submit() {
		$$.info({ type: 'warning', content: '您没有预约记录，暂时无法提交' })
	}
	console.log(current, 'current')


	return (
		<div style={{ position: 'relative' }}>
			<NewPage
				pageHead={
					{ breadcrumbData: [{ title: '工作台' }, { title: '来访登记' }], title: '来访登记' }
				}
			>
				{/*onChange={(activeKey) => setTabsActive(activeKey)}*/}
				<RegisterTab tabs={tabs} activeKey={tabsActive}  style={{ background: '#fff' }} />
				{/* <div style={{backgroundColor: '#fff',margin:'12px 16px 0px 16px',paddingTop:'16px',paddingLeft:'91px'}}>
					<Steps type='navigation' current={current} onChange={setCurrent} style={{ }}>
						<Step title='来访登记' style={{ color: '#1A6FB8' }} disabled/>
						<Step title='事件流转' disabled/>
						<Step title='办理反馈' disabled/>
						<Step title='结案审核' disabled/>
						<Step title='当事人评价' disabled/>
						<Step title='结案归档' disabled/>
					</Steps>

				</div> */}
				{current === 1 &&
					<Fragment>
						{isReview ? <Preview /> : <VisitorRegister formRef={formRef} />}
						<div className="dataSync-excel">
							<Space size="large" style={{ margin: '4px 14px' }}>
								<Button type="primary" style={{ backgroundColor: '#1A6FB8' }} onClick={handleSave} >保存</Button>
								<Button type='outline' style={{ color: '#1A6FB8', border: '1px solid #1A6FB8' }} onClick={handleReview}>预览</Button>
								<Button type='outline' style={{ color: '#1A6FB8', border: '1px solid #1A6FB8' }} onClick={handleSubmit}>提交</Button>
								<Button type='outline' style={{ color: '#1A6FB8', border: '1px solid #1A6FB8' }} onClick={() => selfAcceptance()}>自行受理</Button>
								<Button type='secondary' onClick={handleReview}>返回上级页面</Button>
							</Space>
						</div>
					</Fragment>
				}
				{/* {preview && <Preview />} */}
			</NewPage>

		</div>
	)
}

export default Check;